#suppose the $1.seq is in the SEQ directory
#   1, we need to run PSIBLAST to generate the psp file
#   2, run PSIPRED to generate the ss file
#   3, run HHPRED to generate the hmm file for neff
#   4, run merge_cnf to generate the pretag file into the Merge_cnf directory.
# example: ./generateEPADfeature.sh 1a19

protein=$1

# TODO: please specify the directory where you have installed NR database
export BLASTDB=/tmp/nr_tmp/nr
# End of TODO

export PSIPRED_HOME=./PSIPRED
export BLAST_HOME=./BLAST
export BLASTPGP=$BLAST_HOME/bin/blastpgp

cd SEQ
if [ ! -e SEQ ]
then
   mkdir SEQ
fi

if [ ! -e PSIPRED-SS ]
then
   mkdir PSIPRED-SS
fi

if [ ! -e HMM ]
then
   mkdir HMM
fi

if [ ! -e EPAD ]
then
   mkdir EPAD
fi

if [ ! -e PSP ]
then
   mkdir PSP
fi

cd ../bin
if [ ! -e ../SEQ/PSP/$protein.psp ]
then
   echo "##RUN BLAST"
   $BLASTPGP -b 0 -j 5 -h 0.001 -d ${BLASTDB}90 -i ../SEQ/$protein.seq -C ../SEQ/PSP/$protein.chk -Q ../SEQ/PSP/$protein.psp
fi

if [ ! -e ../SEQ/PSIPRED-SS/$protein.ss2 ]
then
   echo "##RUN_PSIPRED"
  ${PSIPRED_HOME}/runpsipred ../SEQ/$protein.seq; mv $protein.ss $protein.ss2 $protein.horiz ../SEQ/PSIPRED-SS/
fi

if [ ! -e ../SEQ/HMM/$protein.hhm ] 
then
    ./genA3M.sh ../SEQ/$protein.seq ../SEQ/HMM
fi

echo $protein > ../SEQ/list_$protein

  ./merge_cnf -d ../SEQ/ -s 1 -H 2 -L ../SEQ/list_$protein -m 1 -l -1 -O EPAD -f epad

cd ..
cut -d' ' -f1-3,25-50 SEQ/EPAD/$protein.epad > SEQ/EPAD/$protein.epad_local;

